#ifndef APP_OLED_H
#define APP_OLED_H

#ifdef __cplusplus
extern "C" {
#endif

void OLED_WR_Byte(unsigned char dat, unsigned char cmd);
void OLED_Refresh_Gram(void);
void OLED_Set_Pos(unsigned char x, unsigned char y);
void OLED_Display_On(void);
void OLED_DrawPoint(unsigned char x, unsigned char y, unsigned char t);
void OLED_Fill(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, unsigned char dot);
void OLED_Clear(void);
void OLED_ShowChar(unsigned char x, unsigned char y, unsigned char chr, unsigned char ucWid, unsigned char mode);
void OLED_ShowFontHZ(unsigned char x, unsigned char y, unsigned char pos, unsigned char size, unsigned char mode);
void showstring(char *str, unsigned char x, unsigned char y);
void plusstring(char *str, unsigned char x, unsigned char y);
void roll_x_string(char *str, unsigned char x1, unsigned char y1, unsigned char x2);
void roll_y_string(char *str, unsigned char x1, unsigned char y1, unsigned char y2);
void OLED_Init(void);
void sciishow(char *str, unsigned char y);

#ifdef __cplusplus
}
#endif

#endif /* APP_OLED_H */
